//*****************************************************
//  ATtiny 26 
//	:01.001 
//		:26.03.17
//
//#interapt <lib_nastroyki_ATtiny_26.c>
//*****************************************************
//
//
//  
//****************************************************************
/*
		#define I  7 //  
		#define T  6 //  
		#define H  5 //  
		#define S  4 // 
		#define V  3 //   
		#define N  2 //  
		#define Z  1 // 
		#define C  0 // 

	SREG = (0<<I)|(0<<T)|(0<<H)|(0<<S)|(0<<V)|(0<<N)|(0<<Z)|(0<<C); // 
*/
	//**END*  ********************************

//   
//**************************************************************
/*
	//       

	//OSCCAL = 0x00 ; //    
*/
	//**END*   ******************

//   
//********************************************************************
//     RAM - ATtiny 26 RAMEND =$DF

	SP = 0xDF; //   

	//**END*   **************************

//   (1 - ; 0 - )
//*****************************************************
	
	// A (8 )
	//*****************************************************

		#define PA7  7 //11  (ADC6/AIN1)      ()
		#define PA6  6 //12  (ADC5/AIN0)      ()
		#define PA5  5 //13  (ADC4)           ()
		#define PA4  4 //14  (ADC3)           ()
		#define PA3  3 //17  (AREF)           ()
		#define PA2  2 //18  (ADC2)           ()
		#define PA1  1 //19  (ADC1)           ()
		#define PA0  0 //20  (ADC0)           ()

	PORTA  = (0<<PA7)|(0<<PA6)|(0<<PA5)|(0<<PA4)|(0<<PA3)|(0<<PA2)|(0<<PA1)|(0<<PA0);   // 
	DDRA   = (0<<PA7)|(0<<PA6)|(0<<PA5)|(1<<PA4)|(1<<PA3)|(1<<PA2)|(1<<PA1)|(1<<PA0);   //   
	//PINA -   

	//  (8 )
	//*****************************************************

		#define PB7  7 //10  (ADC10/RESET)    (reset)
		#define PB6  6 //9   (ADC9/INT0/T0)   ()
		#define PB5  5 //8   (ADC8/XTAL2)     ()
		#define PB4  4 //7   (ADC7/XTAL1)     ()
		#define PB3  3 //4   (OC1B)           ()
		#define PB2  2 //3   (SCK/SCL/OC1Bi)  ()
		#define PB1  1 //2   (MISO/DO/OC1A)   ()
		#define PB0  0 //1   (MOSI/SDA/OC1Ai) ()

	PORTB  = (0<<PB7)|(0<<PB6)|(0<<PB5)|(0<<PB4)|(0<<PB3)|(0<<PB2)|(0<<PB1)|(0<<PB0);   // 
	DDRB   = (0<<PB7)|(0<<PB6)|(0<<PB5)|(1<<PB4)|(1<<PB3)|(1<<PB2)|(1<<PB1)|(1<<PB0);   //   
	//PINB -   

	//**END****************************************************

//
//*************************************************************
	//  0   
	//*************************************************************
/*
        #define CSO0  0 //  
		#define CSO1  1 //  
		#define CSO2  2 //  
        #define PSR0  3 //    1      
		    // 	  CSOx	
    		//	000             	
    		//	001             	 0
   		    //  010             	 8
   		    //  011             	 64
    		//	100             	 256
    		//	101             	 1024
    		//	110             	   
    		//	111             	   

	TCCR0 = (0<<PSR0 )|(0<<CSO2)|(0<<CSO1)|(0<<CSO0);  //   0
	TCNT0 = 0; 				//   0
*/

	//  1
	//*************************************************************
/*
		#define COM1A1 7 //   
		#define COM1A0 6 //   
		#define COM1B1 5 //   
		#define COM1B0 4 //   
		#define FOC1A  3 //   
		#define FOC1B  2 //   
		#define PWM1A  1 //   
		#define PWM1B  0 //   

	TCCR1A	= (0<<COM1A1)|(0<<COM1A0)|(0<<COM1B1)|(0<<COM1B0)|(0<<FOC1A)|(0<<FOC1B)|(0<<PWM1A)|(0<<PWM1B); //    1

		#define CTC1  7 //       OCR1
		#define PSR1  6 //  
		#define CS13   3 //  
		#define CS12   2 //  
		#define CS11   1 //  
		#define CS10   0 //  
		    //    CS1		
		    //	000			 
		    //	001			0
		    //	010			8
		    //	011			64
		    //	100			256
		    //	101			1024
		    //	110			  
		    //	111			  

	TCCR1B	= (0<<CTC1)|(0<<PSR1)|(0<<CS13)|(0<<CS12)|(0<<CS11)|(0<<CS10); //    1

	TCNT1 = 0x00;  // 
	OCR1A = 0x00;  //  
	OCR1B = 0x00;  //  B
	OCR1C = 0x00;  //  

		#define PCKE  2 //   1-   
                        //      
                        // 1  PLLE      PLOCK  1
		#define PLLE  1 //      
		#define PLOCK 0 //   

    PLLCSR = (0<<PCKE)|(0<< PLLE)|(0<<PLOCK);  //   
*/

    	//       
	//************************************************************
/*
	//
		#define OCIE1A  6     // / 2
        #define OCIE1B  5     // / 1
		#define TOIE1   2     // / 1
		#define TOIE0   1     // / 0

	TIMSK = (0<<OCIE1A)|(0<<OCIE1B)|(0<<TOIE1)|(0<<TOIE0); //    
*/
	//*************************************************************
	//    
/*
		#define OCF1A  6     // / 1
		#define OCF1B  5     // / 1
		#define TOV1   2     // / 1
		#define TOV0   1     // / 0

	TIFR = (0<<OCF1A)|(0<<OCF1B)|(0<<TOV1)|(0<<TOV0);//    
*/
	//**END***************************************************

// 
//************************************************************
/*	
		#define WDCE   4 //    
		#define WDE    3 //   
		#define WDP2   2 //  
		#define WDP1   1 //  
		#define WDP0   0 //  
		//  
	   	//	000 16K
	   	//	001 32K
	   	//	010 64K
	   	//	011 128K
	   	//	100 256K
	   	//	101 512K
	   	//	110 1024K
	   	//	111 2048K

	WDTCR = (0<<WDCE)|(0<<WDE)|(0<<WDP2)|(0<<WDP1)|(0<<WDP0); //   
*/	
	// **END***************************************************

// 
//*************************************************************
/*

        #define ACD    7 //  1  0 
		#define ACBG   6 //     
		#define ACO    5 //  ( )
		#define ACI    4 // 
		#define ACIE   3 // 
		#define ACME   2 //     
		#define ACIS1  1 //
		#define ACIS0  0 //
		// 				
		//	00			 
		//	01			
		//	10			 1  0
		//	11			 0  1
*/
	ACSR = (1<<ACD)|(0<<ACBG)|(0<<ACO)|(0<<ACI)|(0<<ACIE)|(0<<ACME)|(0<<ACIS1)|(0<<ACIS0); //  

	// **END**************************************

//  
//    
//  
//************************************************************
/*
        #define PUD 6 //      (1 -   )
        #define SE  5 //     
        #define SM1 4 // 
        #define SM0 3 // 
            // 
            // 00       (   .   )
            // 01        (    .)
            // 10      (       .)
            // 11      (    .)
        #define ISC01    1 //  
        #define ISC00    0 //  
            //                  
            //    00              
            //    01            
            //    10              
            //    11              

	MCUCR = (0<<PUD)|(0<<SE)|(0<<SM1)|(0<<SM0)|(0<<ISC01)|(0<<ISC00); //  

		#define INT0    6 //    INT0
		#define PCIE1   5 //     1 
		#define PCIE0   4 //     0 

	GIMSK = (0<<INT0)|(0<<PCIE1)|(0<<PCIE1);  //   


		#define INTF0    6 //    INT0
		#define PCIF     5 //     

	GIFR = (0<<INTF0)|(0<<PCIF);  //   
*/
	// **END**************************************

//
//*************************************************************
/*	
		#define REFS1  7 //   
		#define REFS0  6 //   
		//     REFS
		//	00	  
		//	01	    AREF
		//	10	   2.25    AREF   
		//	11 	   2.25    AREF    
		#define ADLAR  5 //   1     0  
		#define MUX4   4 //  
		#define MUX3   3 //  
		#define MUX2   2 //  
		#define MUX1   1 //  
		#define MUX0   0 //  
*/
	ADMUX = (0<<REFS1)|(0<<REFS0)|(0<<ADLAR)|(0<<MUX4)|(0<<MUX3)|(0<<MUX2)|(0<<MUX1)|(0<<MUX0); //  
/*
		#define ADEN   7 //  (1  0 )
		#define ADSC   6 //  1  
		#define ADFR   5 //  (1   0 "" )
		#define ADIF   4 // 
		#define ADIE   3 // 
		#define ADPS2  2 //  
		#define ADPS1  1 //  
		#define ADPS0  0 //  
		// 	  ADPS
		//	000		2
		//	001		2
		//	010		4
		//	011		8
		//	100		16
		//	101		32
		//	110		64
		//	111		128
*/
	ADCSR = (1<<ADEN)|(0<<ADSC)|(0<<ADFR)|(0<<ADIF)|(0<<ADIE)|(0<<ADPS2)|(0<<ADPS1)|(0<<ADPS0); // 
	//ADCH -     
	//ADCL -     
	
	//**END***********************************************************

//   USI
//*************************************************************
/*	
		#define USISIE  7 //    
		#define USIOIE  6 //    
		#define USIWM1  5 //  
		#define USIWM0  4 //  
		#define USICS1  3 //  
		#define USICS0  2 //  
		#define USICLK  1 //  
        #define USITC   0 //    

	USICR = (0<<USISIE)|(0<<USIOIE )|(0<<USIWM1)|(0<<USIWM0)|(0<<USICS1)|(0<<USICS0)|(0<<USICLK)|(0<<USITC); // 

		#define USISIF   7 //   
		#define USIOIF   6 //    
		#define USIPF    5 //   
		#define USIDC    4 //    
		#define USICNT3  3 // 
		#define USICNT2  2 // 
		#define USICNT1  1 // 
		#define USICNT0  0 // 

	USISR = (0<<USISIF)|(0<<USIOIF)|(0<<USIPF)|(0<<USIDC)|(0<<USICNT3)|(0<<USICNT2)|(0<<USICNT1)|(0<<USICNT0); // 

	USIDR = 0x00; // 
*/	
	//   USI**END*************

//
//*************************************************************
/*	
		#define EERIE 3 //   
		#define EEMWE 2 //     (   4 )
		#define EEWE  1 //   ( EEMWE   1)
		#define EERE  0 //  

	EECR = (0<<EERIE)|(0<<EEMWE)|(0<<EEWE)|(0<<EERE); // 

	EEAR = 0x00; // 
	EEDR = 0x00; // 
*/	
	//**END****************************************************


//   
//**************************************************************
/*	
		#define WDRF  3 //         0
		#define BORF  2 //         0
		#define EXTRF 1 //       0
		#define PORF  0 //      0

	MCUSR = (0<<WDRF)|(0<<BORF)|(0<<EXTRF)|(0<<PORF); //   
*/	
	//   **END**************************************












