/*       ATtiny 26******************
	    :00.01
	      :22.03.17
	#include <lib_EEP_ATtiny_26_V_01.c>
	eepr_in (data_eepr, adr_eepr);                      //  
	eepr_out (adr_eepr);                                //  	
***********************************************************************/

//  
/* 	data_eepr	-     (8 )
	adr_eepr	-      (8 )*/

	void eepr_in (unsigned char data_eepr, unsigned char adr_eepr) {
		while (EECR & (1<<EEWE)); 			//   
		EEAR = adr_eepr; 					//   -  
   		EEDR = data_eepr;    				// 
   		EECR |= (1<<EEMWE);  				//   
   		EECR |= (1<<EEWE);   				//   
  		return;
	} // END   

//  
/*	adr_eepr	-      (8 )*/

	unsigned char eepr_out (unsigned char adr_eepr) { 	
		while (EECR & (1<<EEWE));  			//   
		EEAR = adr_eepr; 					//   -  
   		EECR = (1<< EERE);   				//   
		return (EEDR);
	} //END   

// END      
